"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function renderToHtml(lines, options) {
    if (options === void 0) { options = {}; }
    var bg = options.bg || '#fff';
    var html = '';
    html += "<pre class=\"shiki\" style=\"background-color: " + bg + "\">";
    if (options.langId) {
        html += "<div class=\"language-id\">" + options.langId + "</div>";
    }
    html += "<code>";
    lines.forEach(function (l) {
        if (l.length === 0) {
            html += "\n";
        }
        else {
            l.forEach(function (token) {
                html += "<span style=\"color: " + token.color + "\">" + escapeHtml(token.content) + "</span>";
            });
            html += "\n";
        }
    });
    html = html.replace(/\n*$/, ''); // Get rid of final new lines
    html += "</code></pre>";
    return html;
}
exports.renderToHtml = renderToHtml;
function escapeHtml(html) {
    return html.replace(/</g, '&lt;').replace(/>/g, '&gt;');
}
